DECOMPOSEPAR(1)

NAME
decomposePar - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
decomposePar [OPTIONS]

DESCRIPTION
Decompose a mesh and fields of a case for parallel execution

OPTIONS

-allRegions
    Operate on all regions in regionProperties

-case dir
    Specify case directory to use (instead of the cwd)

-cellDist
    Write cell distribution as a labelList - for use with 'manual' decomposition method and as a volScalarField for visualization.

-constant
    Include the 'constant/' dir in the times list

-copyUniform
    Copy any uniform/ directories too

-copyZero
    Copy 0/ directory to processor*/ rather than decompose the fields

-decomposeParDict file
    Use specified file for decomposePar dictionary

-dry-run
    Test without writing the decomposition. Changes -cellDist to only write volScalarField.

-fields
    Use existing geometry decomposition and convert fields only

-force
    Remove existing processor*/ subdirs before decomposing the geometry

-ifRequired
    Only decompose geometry if the number of domains has changed

-latestTime
    Select the latest time

-noSets
    Skip decomposing cellSets, faceSets, pointSets

-noZero
    Exclude the '0/' dir from the times list

-region name
    Specify alternative mesh region

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-verbose
    Additional verbosity

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.